[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: deselect survey

On Wed, 2004-11-24 at 07:30 -0600, Steve Greenland wrote:
> That's a mere artifact of our release cycle. Dselect only be came a
> separate package in woody, and a clean upgrade required that dselect be,
> er, required, by dpkg. I've had dselect uninstalled since the early days
> of sarge.

IIRC, dselect is a "required" package; when I try to "apt-get remove
dselect" (sid), I am warned rather severely about the removal of 75
packages, including several essential ones:

WARNING: The following essential packages will be removed
This should NOT be done unless you know exactly what you are doing!
  dpkg dselect (due to dpkg) sysvinit initscripts (due to sysvinit)
You are about to do something potentially harmful
To continue type in the phrase 'Yes, do as I say!'

I doubt I would still have a working installation if I were bold enough
to type such an invocation (not that it's presence particularly bothers
me on anything but embedded systems, but it seems it could be a
Recommends instead with no ill effects)..

( [-1, never] weeks for me, btw; I've been using Debian since slink, and
some of the earliest advice I got was "this is dselect; learn hot to use
apt instead".  I admit that I occasionally use synaptic if I'm just
browsing for packages, but apt is still my primary interface.)


Reply to: